Bug 270498 - highlight windows is not automatically activated with tabbox settings
Summary: highlight windows is not automatically activated with tabbox settings
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-09 14:30 UTC by g111
Modified: 2011-12-10 20:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description g111 2011-04-09 14:30:45 UTC
Version:           unspecified (using KDE 4.6.1) 
OS:                Linux

I have configured the Task-Switcher (that is invoked via alt+tab) to use "No Effect". The checkboxes for "Highlight selected window" and "Show outline of selected window" are checked. The outline is drawn correctly, but windows do not get higlighted.

When turning on any effect (e.g. "Box Switch") the highlighting of windows does work. So I think there should be no technical reason (like video driver or hardware) to disable the highlighting on the "No Effect" setting?

Reproducible: Always

Steps to Reproduce:
Set the Task Switcher configuration as described above and press alt+tab.

Actual Results:  
The windows do not get highlighted.

Expected Results:  
They should be higlighted.

I am using the nouveau driver with the XRender-Extension on a nVidia Corporation NV44A [GeForce 6200].
Comment 1 g111 2011-05-21 21:33:57 UTC
Today I have found out how to make the hilighting work: You have to explicitly activate the "Highlight Window" effect in the system settings. If this is enabled the checkbox "Highlight selected window" in the task switcher does work as expected. 

The "Highlight Window" checkbox in the task manager settings does have the same problem. It only works if the effect in the "All Effects" settings is enabled.

The behaviour should be: If one of the two mentioned checkboxes is set, the Highlight Window effect should be activated automatically. (Or even better: The effect setting should be removed in the "All Effects" tab and be handled automatically with the task manager and the task switcher setting.)

Greetings,
Gert
Comment 2 Marco Martin 2011-12-06 23:32:37 UTC
this is a kwin issue (but don't think is valid anymore even there?)
Comment 3 g111 2011-12-07 07:47:32 UTC
If have tested it with the following version again:
Qt: 4.7.3
KDE Development Platform: 4.7.2 (4.7.2)
kde4-config: 1.0
(packages are from experimental-snapshots for debian/sid)

The behaviour is still present as described in comment #1.
Comment 4 Thomas Lübking 2011-12-07 13:50:21 UTC
https://git.reviewboard.kde.org/r/103349/
Comment 5 Thomas Lübking 2011-12-10 20:27:48 UTC
Git commit 0124ed30e65894da6a4f04a9633c6f0da845ff9d by Thomas Lübking.
Committed on 07/12/2011 at 14:44.
Pushed by luebking into branch 'master'.

sync highlight_windows effect to tabbox usage

BUG: 270498
REVIEW: 103349

M  +5    -0    kwin/kcmkwin/kwintabbox/main.cpp

http://commits.kde.org/kde-workspace/0124ed30e65894da6a4f04a9633c6f0da845ff9d